<div class="p-formgrid grid">
  <div class="col-12">
    <p-card *ngIf="news">
      <table>
        <thead>
          <tr>
            <th colspan="2" class="table-header">
              <div class="d-flex justify-content-between align-items-center">
                <span>News: {{ news.title }}</span>
                <urbo-cms-ui-highlight-button
                  class="ml-auto"
                  [data]="news"
                  [permission]="Permission.NewsHighlight"
                  (highlight)="highlightNews($event)"
                >
                </urbo-cms-ui-highlight-button>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Bild:</td>
            <td>
              @if (news.image) {
              <img [src]="news.image | image : true" [alt]="altDescription" />
              <p
                *ngIf="news.image.description"
                class="m-0"
                [innerHTML]="news.image.description"
              ></p>
              <p
                *ngIf="news.image.copyright"
                class="m-0"
                [innerHTML]="news.image.copyright"
              >
                &copy;
              </p>
              } @else { Nicht vorhanden }
            </td>
          </tr>
          <tr>
            <td>Titel:</td>
            <td>{{ news.title }}</td>
          </tr>
          <tr>
            <td>Untertitel:</td>
            <td>{{ news.subTitle ?? '-' }}</td>
          </tr>
          <tr>
            <td>Artikeldatum:</td>
            <td *ngIf="news.date">
              {{ news.date | date : 'dd.MM.yyyy HH:mm' }}
            </td>
            <td *ngIf="!news.date">-</td>
          </tr>
          <tr>
            <td>Geändert am:</td>
            <td *ngIf="news.modified">
              {{ news.modified | date : 'dd.MM.yyyy HH:mm' }}
            </td>
            <td *ngIf="!news.modified">-</td>
          </tr>

          <tr>
            <td>Kategorien:</td>
            <td>
              <ul>
                <li *ngFor="let category of news.categories">
                  {{ category }}
                </li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>Beschreibung:</td>
            <td class="prewrap" [innerHTML]="news.content"></td>
          </tr>
        </tbody>
      </table>
      <div class="p-3 d-flex justify-content-end">
        <p-button
          label="Bearbeiten"
          icon="pi pi-pencil"
          (onClick)="editNews()"
          *ngIf="news.editable"
        ></p-button>
        <p-button
          label="Löschen"
          icon="pi pi-trash"
          class="ml-2"
          (onClick)="confirmDelete()"
          *ngIf="news.editable"
        ></p-button>
      </div>
    </p-card>
  </div>
</div>

<p-confirmDialog
  header="Confirm Deletion"
  icon="pi pi-exclamation-triangle"
></p-confirmDialog>

<p-dialog
  header="Edit News"
  [(visible)]="displayDialog"
  [modal]="true"
  [closable]="true"
  [style]="{ width: '50vw' }"
  (onHide)="onCancel()"
  [closeOnEscape]="true"
  *ngIf="news?.editable"
>
  <urbo-cms-news-form
    [newsData]="news"
    (formSubmit)="onSubmit($event)"
    (fileSelected)="onFileSelected($event)"
    (cancel)="onCancel()"
  >
  </urbo-cms-news-form>
</p-dialog>
